# pandas.read_msgpack

`pandas.``read_msgpack`(path_or_buf, encoding='utf-8', iterator=False, **kwargs)

  Load msgpack pandas object from the specified file path

  THIS IS AN EXPERIMENTAL LIBRARY and the storage format may not be stable until a future release.

  Parameters:

  path_or_buf : string File path, BytesIO like or string

  encoding: Encoding for decoding msgpack str type

  iterator : boolean, if True, return an iterator to the unpacker

  > (default is False)

  Returns: | obj : type of object stored in file

Scroll To Top